## ros-indigo-alfred-bot 0.1.121

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(alfred_bot)
set(PACKAGE_PATH "com/rosalfred/core")

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED
  rosjava_build_tools

  smarthome_common_driver
  smarthome_media_model
)

catkin_rosjava_setup(publishMavenJavaPublicationToMavenRepository installApp)

catkin_package()

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_MAVEN_DESTINATION}/${PACKAGE_PATH}/${PROJECT_NAME}/
    DESTINATION ${CATKIN_GLOBAL_MAVEN_DESTINATION}/${PACKAGE_PATH}/${PROJECT_NAME})

install(DIRECTORY build/install/${PROJECT_NAME}/lib/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/build/lib)

install(PROGRAMS build/install/${PROJECT_NAME}/bin/${PROJECT_NAME}
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/build/scripts)

install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

install(DIRECTORY src/main/resources/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/res)

=== debian/changelog ===
ros-indigo-alfred-bot (0.1.121-0trusty) trusty; urgency=high

  * Update eclipse project.
  * Update package dependencies
    Update messages packages names
  * Contributors: Erwan Le Huitouze, Mickael Gaillard

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Fri, 10 Jun 2016 22:00:00 -0000

ros-indigo-alfred-bot (0.1.120-0trusty) trusty; urgency=high

  * Add node
  * Contributors: Erwan Le Huitouze

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Sat, 28 May 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-alfred-bot
Section: misc
Priority: extra
Maintainer: Mickael Gaillard <mick.gaillard@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosjava-build-tools, ros-indigo-rosjava-core, ros-indigo-rosjava-dynamic-reconfigure, ros-indigo-smarthome-comm-msgs, ros-indigo-smarthome-common-driver, ros-indigo-smarthome-media-model, ros-indigo-smarthome-media-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-alfred-bot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rosjava-core, ros-indigo-rosjava-dynamic-reconfigure, ros-indigo-smarthome-comm-msgs, ros-indigo-smarthome-common-driver, ros-indigo-smarthome-media-model, ros-indigo-smarthome-media-msgs
Description: This package is bot of Alfred Assitant for ROS.
 This package is part of Alfred Assistant stack.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-alfred-bot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
